python 的pypy对某些库不支持?

Dyllian 发布于 2013/07/21 18:01
阅读 3K+
收藏 0

测试一段代码:

#coding=utf-8

import requests

def getStatusCode(url):
	r = requests.get(url, allow_redirects = False)
	return r.status_code


print getStatusCode('http://www.oschina.net/')
结果使用pypy运行显示No module named requests,不使用pypy运行时结果又是正确的,以前也遇到过其他的库出现这个情况,是否pypy不支持某些库呢,还是pypy版本过低?

加载中
0
__FresHmaN
__FresHmaN

pypy没用过,你使用其他的能够正确引入,那有一个可能是因为这个在pypy中需要配置路径才能被找到?

猜的。。

0
t
tenserman
之前了解的时候,据说只支持部分库,不是支持所有库的。pypy的最新版光编译安装就要求4g内存,虚拟机玩不起
Dyllian
Dyllian
谢谢。空间换取时间,时间换取空间,要平衡挺困难的。
0
KurtZhao
KurtZhao

要用pypy下的pip装相应的package啊,另外你可以去pypy官网查一下对相应包的兼容性

Honghe
Honghe
正解
返回顶部
顶部